ScoreType.Odds (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.ScoreType.Odds class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class ScoreType.Odds

    java.lang.Object
      org.biojava.bio.dp.ScoreType.Odds

All Implemented Interfaces:
  Serializable, ScoreType

Enclosing interface:
  ScoreType

    public static class ScoreType.Odds

extends Object
implements ScoreType, Serializable

In this class, calculateScore returns the odds ratio of a symbol being emitted. That is, the ratio of the probability of a Symbol being emitted to it being emitted by the null model.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.dp.ScoreType
`ScoreType.NullModel, ScoreType.Odds, ScoreType.Probability`

Field Summary

Fields inherited from interface org.biojava.bio.dp.ScoreType
`NULL_MODEL, ODDS, PROBABILITY`

Constructor Summary
`ScoreType.Odds()`

Method Summary
`double` | `calculateScore(Distribution dist, Symbol sym)` Calculates the score associated with a distribution and a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoreType.Odds

    public ScoreType.Odds()

Method Detail

### calculateScore

    public double calculateScore(Distribution dist,
                                 Symbol sym)
                          throws IllegalSymbolException

  Description copied from interface: `ScoreType`
  Calculates the score associated with a distribution and a symbol.

  Specified by:
    `calculateScore` in interface `ScoreType`
  Throws:
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD